Subject: Re: linux-next: manual merge of the usb tree with the devicetree tree

From: Felipe Balbi <[email-masked]>
Date: Fri, 29 May 2020 11:44:12 +0300

Hi,

Greg KH <[email-masked]> writes:
> On Fri, May 29, 2020 at 10:26:41AM +0200, Greg KH wrote:
>> On Thu, May 28, 2020 at 08:14:36AM -0600, Rob Herring wrote:
>> > On Thu, May 28, 2020 at 4:49 AM Greg KH <[email-masked]> wrote:
>> > >
>> > > On Thu, May 28, 2020 at 04:22:15PM +1000, Stephen Rothwell wrote:
>> > > > Hi all,
>> > > >
>> > > > Today's linux-next merge of the usb tree got a conflict in:
>> > > >
>> > > >   Documentation/devicetree/bindings/usb/qcom,dwc3.yaml
>> > > >
>> > > > between commit:
>> > > >
>> > > >   3828026c9ec8 ("dt-bindings: usb: qcom,dwc3: Convert USB DWC3 bindings")
>> > > >
>> > > > from the devicetree tree and commits:
>> > > >
>> > > >   cd4b54e2ae1f ("dt-bindings: usb: qcom,dwc3: Convert USB DWC3 bindings")
>> > > >
>> > > > from the usb tree.
>> > > >
>> > > > I fixed it up (I guessed, taking most changes from the former) and can
>> > > > carry the fix as necessary. This is now fixed as far as linux-next is
>> > > > concerned, but any non trivial conflicts should be mentioned to your
>> > > > upstream maintainer when your tree is submitted for merging.  You may
>> > > > also want to consider cooperating with the maintainer of the
>> > > > conflicting tree to minimise any particularly complex conflicts.
>> > 
>> > Ugg, I fixed up a warning on my side...
>> > 
>> > >
>> > > Sounds good,t hanks.
>> > 
>> > Greg, can you revert your copy and we can get rid of the conflict.

Did things change recently? I always got the message from DT folks that
DT changes should go via the driver tree. Has that changed? I can stop
taking DT patches, no problem.

-- 
balbi